## flac-static 1.2.1

=== debian/changelog ===
flac-static (1:1.2.1-3kxstudio1.1) lucid; urgency=low

  * Proper build flags

 -- falkTX <falktx@gmail.com>  Fri, 14 Feb 2014 14:28:05 +0000

flac-static (1.2.1-2kxstudio1) lucid; urgency=low

  * Build against gcc4.8

 -- falkTX <falktx@gmail.com>  Mon, 04 Nov 2013 02:43:45 +0000

flac-static (1.2.1-1kxstudio2) lucid; urgency=low

  * Enable tests again

 -- falkTX <falktx@gmail.com>  Wed, 28 Aug 2013 10:36:34 +0100

flac-static (1.2.1-1kxstudio1) lucid; urgency=low

  * Enable optimizations

 -- falkTX <falktx@gmail.com>  Wed, 28 Aug 2013 08:56:31 +0100

flac-static (1.2.1-0kxstudio3) lucid; urgency=low

  * Install flac files in /usr/bin

 -- falkTX <falktx@gmail.com>  Thu, 01 Aug 2013 16:17:13 +0100

flac-static (1.2.1-0kxstudio2) lucid; urgency=low

  * Proper CFLAGS
  * Rebuild against new libogg

 -- falkTX <falktx@gmail.com>  Tue, 23 Jul 2013 08:54:57 +0100

flac-static (1.2.1-0kxstudio1) lucid; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Mon, 22 Jul 2013 12:08:26 +0100
