=== debian/control ===
Source: flac-static
Section: libs
Priority: extra
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 7), dh-autoreconf,
  autotools-dev, automake, libtool, autoconf, pkg-config,
  libogg-static (>= 1.3.1-3kxstudio1)
Standards-Version: 3.8.4

Package: flac-static
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libogg-static
Description: Free Lossless Audio Codec (static)
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package provides the static library used in KXStudio builds.

Package: flac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free Lossless Audio Codec - command line tools
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the command-line tools flac (used for encoding and
 decoding FLACs) and metaflac (used for manipulating FLAC metadata.)
